/*#region #aboutus*/
#calculator-container {
    .section-body {
        .col {
            &:nth-child(2) {
                text-align: center;
            }
        }

        .item-cal {
            .btn-container {
                .btn {
                    background: var(--white);
                    color: var(--primary);
                }
            }
        }

        .tool-calculator {
            background: var(--white);
            padding: 50px 70px;



            .range-item {
                .info-range {
                    justify-content: space-between;
                    align-content: center;
                    align-items: center;

                    > * {
                        width: 50%;
                    }
                }

                .irs--round {
                    height: 30px;

                    .irs-single {
                        display: none;
                    }

                    .irs-line {
                        top: 14px;
                    }

                    .irs-bar {
                        top: 12px;
                        height: 8px;
                        background-color: var(--primary);
                    }

                    .irs-max, .irs-min {
                        top: 50px;
                        display: none;
                    }

                    .irs-handle {
                        top: 3px;
                        width: 26px;
                        height: 26px;
                        border: 4px solid var(--primary);
                        background-color: var(--primary);
                    }

                    .irs-single, irs-from, irs-to {
                        background-color: var(--primary);

                        &:before {
                            border-top-color: var(--primary);
                        }
                    }
                }

                .control-range {
                    justify-content: space-between;
                    align-content: center;

                    .extra-controls {
                        input {
                            border: none;
                            text-align: right;
                            outline: none;
                            width: 100%;
                            background: #e3e3e3;
                            border-radius: 5px;
                            border: 1px solid lightgray;
                            padding: 3px 5px;
                            margin-right: 5px;
                        }
                    }

                    > * {
                        width: 50%;
                    }
                }
            }
        }
    }
}
/*#endregion*/
#calculate-modal {
    .modal-dialog {
        width: 1000px;
    }

    .modal-content {
        .modal-header {
            .title {
                position: relative;
            }

            h4 {
                text-align: center;
            }

            .close {
                position: absolute;
                right: 0px;
                top: -10px;
                background: none;
                border: none;
                font-size: 30px;
            }
        }

        .modal-body {
            .spreadsheet-popup__info {
                background: #f6f6f5;
                border-radius: 8px;
                padding: 10px 20px !important;
            }

            .spreadsheet-popup__table {
                width: 100%;
                max-height: 445px;
                overflow-y: scroll;
                display: block;
                border-radius: 8px;
                border: 1px solid #e7e7e7;

                table {
                    width: 100%;
                    font-size: 20px;

                    thead {
                        background: var(--secondary);
                        color: var(--white);

                        th {
                            position: -webkit-sticky;
                            position: sticky;
                            top: 0;
                            text-align: right;
                            border-right: 1px solid var(--white);
                            padding: 10px 20px;
                            background: var(--secondary);

                            &:nth-child(1) {
                                text-align: center;
                                width: 15%;
                                border-radius: 10px 0 0;
                            }

                            &:last-child {
                                border-radius: 0px 10px 0 0;
                            }
                        }
                    }

                    tbody {
                        min-height: 500px;
                        overflow-y: scroll;

                        tr {
                            &:nth-child(2n) {
                                background-color: #f6f6f5;
                            }

                            &:nth-child(odd) {
                                td {
                                    &:first-child {
                                        background-color: #fff;
                                        border-left: none;
                                    }
                                }
                            }
                        }

                        td {
                            text-align: right;
                            border: 1px solid #e7e7e7;
                            border-bottom: none;
                            padding: 10px 20px;

                            &:nth-child(1) {
                                text-align: center;
                            }
                        }
                    }

                    tfoot {
                        background: var(--dark);
                        color: var(--white);
                        position: -webkit-sticky;
                        position: sticky;
                        bottom: 0;
                        z-index: 99;

                        th {
                            position: -webkit-sticky;
                            position: sticky;
                            bottom: 0;
                            text-align: right;
                            border-right: 1px solid var(--white);
                            padding: 10px 20px;
                            background: var(--dark);
                            z-index: 99;

                            &:nth-child(1) {
                                text-align: center;
                                width: 15%;
                                border-radius: 0 0 0 10px;
                            }

                            &:last-child {
                                text-align: center;
                                width: 15%;
                                border-radius: 0 0 10px 0px;
                            }
                        }
                    }
                }
            }
        }
    }
}
@media screen and (min-width: 1920px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (min-width: 1200px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 1366px) {
    #calculator-container {
        .section-body {
            .tool-calculator{
                padding:30px 50px;
            }
        }
    }
}

@media screen and (max-width: 1280px) {}

@media screen and (max-width: 1024px) {
	/*#region #sad*/
    #calculator-container {
        .section-body {
            .tool-calculator {
                padding: 30px 50px;
            }
        }
    }
	/*#endregion*/
}

@media screen and (max-width: 980px) {}

@media screen and (max-width: 768px) {
  /*#region #aboutus*/
    #calculator-container {
        .section-body {
            .tool-calculator {
                padding: 10px 30px;
            }
        }
    }

    #calculate-modal {
        .modal-dialog {
            width: 100%;
            margin: 0;
        }

        .modal-content {
            .modal-body {
                .spreadsheet-popup__table {
                    table {
                        font-size: 15px;

                        thead {
                            th {
                                &:nth-child(1) {
                                    width: 20%;
                                    position: -webkit-sticky;
                                    position: sticky;
                                    left: 0;
                                    z-index: 99;
                                    background-color: var(--secondary);
                                }
                            }
                        }

                        tbody {
                            td {
                                &:nth-child(1) {
                                    position: -webkit-sticky;
                                    position: sticky;
                                    left: 0;
                                    z-index: 98;
                                    background-color: var(--white);
                                }
                            }
                        }

                        tfoot {
                            th {
                                background-color: var(--dark);

                                &:nth-child(1) {
                                    position: sticky;
                                    position: -webkit-sticky;
                                    left: 0;
                                    z-index: 110;
                                   
                                    background-color: var(--dark);
                                }
                            }
                        }
                    }
                }
            }
        }
    }
	/*#endregion*/
}

@media screen and (max-width: 650px) {}

@media screen and (max-width: 450px) {
  /*#region #aboutus*/
    #calculator-container {
        .section-body {
            .tool-calculator {
                padding: 10px 20px;
            }

            .item-cal{
                text-align:center;
            }
        }
    }
  /*#endregion*/
}

@media screen and (max-width: 375px) {}

@media screen and (max-width: 360px) {}

@media screen and (max-width: 320px) {
  /*#region #sad*/
  /*#endregion*/
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
  @-moz-document url-prefix() {
    /*Code is here*/
  }
/*#endregion*/

/*#region ie*/
  @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
  }
/*#endregion*/